<?php
/**
* Plugin Name: Free Shipping Badge
* Plugin URI: https://wordpress.org/plugins/free-shipping-badge
* Description: This is plugin to adding "FREE SHIPPING BADGE" to product if price is higher of some "admin declared limit price" 
* Version: 1.1.2
* Author: Desperado House - Cvijetin Maletic
* Author URI: https://desperadohouse.com/
**/

/** REGISTER STYLES **/
add_action( 'wp_enqueue_scripts', 'fsb_stylesheet' );
function fsb_stylesheet() {
    wp_register_style( 'view-style', plugins_url('/view/fsb_badge_style.css', __FILE__) );
	wp_register_style( 'view-style', plugins_url('/view/fontawesome.css', __FILE__) );
    wp_enqueue_style( 'view-style' );
}

/** ADD FREE SHIPPING BADGE SUFFIX AFTER PRICE **/
add_filter( 'woocommerce_get_price_suffix', 'fsb_suffix', 99, 4 );
function fsb_suffix( $html, $product, $price, $qty ){
	$fsb_price = (float) $product->get_price(); // Regular price
	$fsb_limit_price = esc_attr( get_option('fsb_limit_price_option') ); // Limit price
	$fsb_badge_text = esc_attr( get_option('fsb_badge_text_option') ); // Text to display on badge
	$fsb_badge_color = esc_attr( get_option('fsb_badge_color') ); // Color of badge
	$fsb_badge_text_color = esc_attr( get_option('fsb_badge_text_color') ); // Color of badge text
	
/** DON`T SHOW BADGE IF ISN`T ENTER LIMIT PRICE AND SHOWN IT IF PRODUCT PRICE HIGHER THEN LIMIT PRICE **/
	if($fsb_limit_price ==NULL){
		    $html .='</br>'.'<fsb_badge class="fsb_badge_view_empty">' .$fsb_badge_text.' '.'</fsb_badge>';}
	else if (isset($fsb_limit_price) && $fsb_price > $fsb_limit_price){
    $html .='</br>'.'<fsb_badge class="fsb_badge_view" style="background-color:' .$fsb_badge_color.'; color:'.$fsb_badge_text_color.'; font-size:10px;"; "><span class="span-style">'.$fsb_badge_text.' '.'</span><i class="fas fa-truck"></i></fsb_badge>';}
	
 return $html;
	}


/** ADMINISTRATION SETTINGS PAGE **/
// create custom plugin settings menu
add_action('admin_menu', 'fsb_plugin_create_menu');

function fsb_plugin_create_menu() {

	//create new top-level menu
	add_menu_page('FSB Plugin Settings', 'Free Shipping Badge', 'administrator', __FILE__, 'fsb_settings_page' , plugins_url('/images/dashboard-logo.svg', __FILE__) );

	//call register settings function
	add_action( 'admin_init', 'register_fsb_settings');
	
	//call admin page
	include ("adminpage.php");
}

/** ADMINISTRATION SETTINGS PAGE **/
// changing of badge colour


